i2o_block_device_alloc
Prev | I2O message devices | Next

## Name

i2o_block_device_alloc — Allocate memory for a I2O Block device

## Synopsis

`struct i2o_block_device * i2o_block_device_alloc (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Allocate memory for the i2o_block_device struct, gendisk and request queue and initialize them as far as no additional information is needed.

Returns a pointer to the allocated I2O Block device on succes or a negative error code on failure.

Prev | Up | Next
i2o_block_request_fn | Home | i2o_block_probe